package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Decoy.Rotate(ctx, operations.C1APIDecoyV1DecoyServiceRotateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DecoyServiceRotateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.decoy.rotate({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/decoys/{id}/rotate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/decoys/{id}/rotate"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/decoys/{id}/rotate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"decoy": {
"annotations": {},
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"disabled": true,
"displayName": "<string>",
"id": "<string>",
"lastUsedAt": "2023-11-07T05:31:56Z",
"materialFingerprintSha256": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"material": {
"accessToken": {
"accessToken": "<string>"
},
"clientCredential": {
"clientId": "<string>",
"clientSecret": "<string>"
},
"workloadFederation": {
"workloadFederationTrustId": "<string>"
}
}
}Rotate
Rotate re-mints the paired credential’s secret material, preserves the decoy_id binding, and returns the new one-time vending material.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.Decoy.Rotate(ctx, operations.C1APIDecoyV1DecoyServiceRotateRequest{
ID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.DecoyServiceRotateResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.decoy.rotate({
id: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The id field.
Body
The DecoyServiceRotateRequest message.
Response
Successful response
The DecoyServiceRotateResponse message.
Decoy is the read projection of a planted honey-credential. All fields except annotations are server-managed.
Show child attributes
Show child attributes
DecoyVendingMaterial carries the freshly-vended secret material returned exactly once at Create or Rotate.
This message contains a oneof named material. Only a single field of the following list may be set at a time:
- clientCredential
- accessToken
- workloadFederation
Show child attributes
Show child attributes
Was this page helpful?